Bug 446358 - Evince gets duplex options wrong when printing.
Evince gets duplex options wrong when printing.
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-05-14 06:05 EDT by Rodd Clarkson
Modified: 2009-07-14 13:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 11:55:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
troubleshoot.txt (30.43 KB, text/plain)
2008-05-16 19:15 EDT, Rodd Clarkson
no flags Details
Sample input file (11.54 KB, application/pdf)
2008-05-16 19:15 EDT, Rodd Clarkson
no flags Details

  None (edit)
Description Rodd Clarkson 2008-05-14 06:05:10 EDT
Description of problem:

I have two printers set up.  Both are for the same physical printer, but one is
for one sided printing and the other is for two sided printing (duplex, no tumble).

When I print in gedit and select a printer I gets the duplex option right.

When I print in evince and select a printer I get duplex no tumble regardless of
which printer I choose.

Version-Release number of selected component (if applicable):

[rodd@localhost ~]$ rpm -q evince

How reproducible:

Comment 1 Tim Waugh 2008-05-14 11:29:37 EDT
It would help if you could run the printing troubleshooter
(System->Administration->Printing, then Help->Troubleshoot from the menu bar)
and submit the job from evince when you're on the 'Print test page' screen, then
attach the troubleshoot.txt file here when you're finished.  That way we'll be
able to see what the job options were when the job was submitted.

The problem may also be dependent on the input file you are viewing in Evince --
could you attach one that you see the problem with?
Comment 2 Rodd Clarkson 2008-05-16 19:15:33 EDT
Created attachment 305776 [details]
Comment 3 Rodd Clarkson 2008-05-16 19:15:57 EDT
Created attachment 305777 [details]
Sample input file
Comment 4 Tim Waugh 2008-05-28 06:21:02 EDT
Here are the options it used:

ScreenLock PageSize=Letter Sleep=PrinterDefault CAPT=Middle BRLanguageLevel=L3
noManualFeed Duplex=DuplexNoTumble TonerSaveMode=Off InputSlot=AutoSelect
number-up=1 BRMediaType=Thin
job-uuid=urn:uuid:45a658f4-bca9-35d3-77a6-1e5eae14fe65 media=A4

(from argv[5])
Comment 5 Bug Zapper 2009-06-09 20:47:29 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 6 Bug Zapper 2009-07-14 11:55:49 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.